- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# XCB Test API

Test XCB Protocol Implementation. More...

## Data Structures
struct | xcb_test_get_version_cookie_t
| xcb_test_get_version_cookie_t More...
struct | xcb_test_get_version_request_t
| xcb_test_get_version_request_t More...
struct | xcb_test_get_version_reply_t
| xcb_test_get_version_reply_t More...
struct | xcb_test_compare_cursor_cookie_t
| xcb_test_compare_cursor_cookie_t More...
struct | xcb_test_compare_cursor_request_t
| xcb_test_compare_cursor_request_t More...
struct | xcb_test_compare_cursor_reply_t
| xcb_test_compare_cursor_reply_t More...
struct | xcb_test_fake_input_request_t
| xcb_test_fake_input_request_t More...
struct | xcb_test_grab_control_request_t
| xcb_test_grab_control_request_t More...
## Defines
#define | XCB_TEST_MAJOR_VERSION 2
#define | XCB_TEST_MINOR_VERSION 1
#define | XCB_TEST_GET_VERSION 0
#define | XCB_TEST_COMPARE_CURSOR 1
#define | XCB_TEST_FAKE_INPUT 2
#define | XCB_TEST_GRAB_CONTROL 3
## Enumerations
enum | xcb_test_cursor_t { XCB_TEST_CURSOR_NONE = 0, XCB_TEST_CURSOR_CURRENT = 1 }
## Functions
xcb_test_get_version_cookie_t | xcb_test_get_version (xcb_connection_t *c, uint8_t major_version, uint16_t minor_version)
xcb_test_get_version_cookie_t | xcb_test_get_version_unchecked (xcb_connection_t *c, uint8_t major_version, uint16_t minor_version)
xcb_test_get_version_reply_t * | xcb_test_get_version_reply (xcb_connection_t *c, xcb_test_get_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_test_compare_cursor_cookie_t | xcb_test_compare_cursor (xcb_connection_t *c, xcb_window_t window, xcb_cursor_t cursor)
xcb_test_compare_cursor_cookie_t | xcb_test_compare_cursor_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_cursor_t cursor)
xcb_test_compare_cursor_reply_t * | xcb_test_compare_cursor_reply (xcb_connection_t *c, xcb_test_compare_cursor_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_test_fake_input_checked (xcb_connection_t *c, uint8_t type, uint8_t detail, uint32_t time, xcb_window_t window, uint16_t rootX, uint16_t rootY, uint8_t deviceid)
xcb_void_cookie_t | xcb_test_fake_input (xcb_connection_t *c, uint8_t type, uint8_t detail, uint32_t time, xcb_window_t window, uint16_t rootX, uint16_t rootY, uint8_t deviceid)
xcb_void_cookie_t | xcb_test_grab_control_checked (xcb_connection_t *c, uint8_t impervious)
xcb_void_cookie_t | xcb_test_grab_control (xcb_connection_t *c, uint8_t impervious)
## Variables
xcb_extension_t | xcb_test_id

## Detailed Description

Test XCB Protocol Implementation.

## Define Documentation

#define XCB_TEST_COMPARE_CURSOR 1

Opcode for xcb_test_compare_cursor.

#define XCB_TEST_FAKE_INPUT 2

Opcode for xcb_test_fake_input.

#define XCB_TEST_GET_VERSION 0

Opcode for xcb_test_get_version.

#define XCB_TEST_GRAB_CONTROL 3

Opcode for xcb_test_grab_control.